# -*- coding: iso-8859-1 -*-

"""
ATSchemaEditorNG

(C) 2003,2004, Andreas Jung, ZOPYX Software Development and Consulting
and Contributors
D-72070 Tbingen, Germany

Contact: andreas@andreas-jung.com

License: see LICENSE.txt

$Id: SchemaEditorTool.py 23758 2006-05-19 14:10:53Z spamsch $
"""

from Globals import DTMLFile, InitializeClass
from AccessControl.SecurityInfo import ClassSecurityInfo
from Products.Archetypes.public import *

from SchemaEditor import SchemaEditor
from Products.CMFCore.utils import UniqueObject
from Products.CMFCore.ActionProviderBase import ActionProviderBase
from interfaces import ISchemaEditor

from config import TOOL_NAME

class SchemaEditorTool(UniqueObject, ActionProviderBase, BaseFolder, SchemaEditor):
    """ SchemaEditorTool"""

    meta_type = portal_type = 'ATSchemaEditorTool'
    id = TOOL_NAME
    __implements__ = (ISchemaEditor,)

    actions = ({'id': 'editor_view',
            'name': 'Edit field definitions',
            'action': 'string:${object_url}/atse_editor',
            'condition': "python:object.getId()=='%s'" % TOOL_NAME,
            'permissions': ('Modify portal content',)
           },) 

    default_view='atse_editor'
    schema = BaseContent.schema
    security = ClassSecurityInfo()
    icon = "sc_tool.jpg"

    def __init__(self):
        SchemaEditor.atse_init(self)
        BaseFolder.__init__(self, TOOL_NAME)
        self.setTitle('Schema Editor')

registerType(SchemaEditorTool)

