# -*- coding: iso-8859-1 -*-

"""
ATSchemaEditorNG

(C) 2003,2004, Andreas Jung, ZOPYX Software Development and Consulting
and Contributors
D-72070 Tbingen, Germany

Contact: andreas@andreas-jung.com

License: see LICENSE.txt

$Id: __init__.py 23758 2006-05-19 14:10:53Z spamsch $
"""

from Products.CMFCore.DirectoryView import registerDirectory
from config import SKINS_DIR, GLOBALS

registerDirectory(SKINS_DIR, GLOBALS)

# make refresh possible
from SchemaEditor import SchemaEditor
from ParentManagedSchema import ParentManagedSchema

import Products.CMFCore
from Products.Archetypes import process_types
from Products.Archetypes.public import listTypes
from config import *
from Products.CMFCore.CMFCorePermissions import AddPortalContent 

import patches

def initialize(context):

    # install ATSE Tool
    import SchemaEditorTool
    
    if INSTALL_DEMO_TYPES:
        import examples.content

    content_types, constructors, ftis = process_types(listTypes(PROJECT_NAME),
                                                      PROJECT_NAME)
    
    Products.CMFCore.utils.ContentInit(
        '%s Content' % PKG_NAME,
        content_types      = content_types,
        permission         = AddPortalContent,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)
    
    tools = (SchemaEditorTool.SchemaEditorTool, )
    Products.CMFCore.utils.ToolInit(meta_type=SchemaEditorTool.SchemaEditorTool.meta_type,
                                       tools=tools,
                                       icon='tool.jpg',
                                       ).initialize(context)

